wxSQLite3AggregateFunction Class Referenceabstract

Interface for user defined aggregate functions. More...

`#include <wxsqlite3.h>`

## Public Member Functions

| wxSQLite3AggregateFunction ()
| Constructor.
virtual | ~wxSQLite3AggregateFunction ()
| Virtual destructor.
virtual void | Aggregate (wxSQLite3FunctionContext &ctx)=0
| Execute the aggregate of the function.
virtual void | Finalize (wxSQLite3FunctionContext &ctx)=0
| Prepare the result of the aggregate function.

## Friends

class | wxSQLite3FunctionContext

## Detailed Description

Interface for user defined aggregate functions.

## Constructor & Destructor Documentation

## wxSQLite3AggregateFunction()

wxSQLite3AggregateFunction::wxSQLite3AggregateFunction | ( |  | ) |

inline

Constructor.

## ~wxSQLite3AggregateFunction()

virtual wxSQLite3AggregateFunction::~wxSQLite3AggregateFunction | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

## Aggregate()

virtual void wxSQLite3AggregateFunction::Aggregate | ( | wxSQLite3FunctionContext & | ctx | ) |

pure virtual

Execute the aggregate of the function.

This method is invoked for each row of the result set of the query using the aggregate function.

Parameters

  ctx | function context which can be used to access arguments and result value

## Finalize()

virtual void wxSQLite3AggregateFunction::Finalize | ( | wxSQLite3FunctionContext & | ctx | ) |

pure virtual

Prepare the result of the aggregate function.

This method is invoked after all rows of the result set of the query using the aggregate function have been processed. Usually the final result is calculated and returned in this method.

Parameters

  ctx | function context which can be used to access arguments and result value

## Friends And Related Symbol Documentation

## wxSQLite3FunctionContext

friend class wxSQLite3FunctionContext

friend

The documentation for this class was generated from the following file:

- wxsqlite3.h